 MODULE agrifcommonid
   !!======================================================================
   !!                   ***  MODULE Agrif_common_id  ***
   !!
   !! ** Description :
   !!
   !! ** Reference :
   !!
   !! ** History :
   !!
   !!======================================================================
   !! * Modules used
   USE parameters

   !! * Shared or public module variables
    INTEGER        :: temp_id,sal_id,cv_wat_id,cv_wat_init_id
    INTEGER        :: uz_id,vz_id, uz_update_id, vz_update_id
    INTEGER        :: u_id,v_id
!    INTEGER        :: xeu_id,xev_id
    INTEGER        :: ssh_id, ssh_interp_id, ssh_interp_init_id
    INTEGER        :: hx_id,hy_id,h0_id
    INTEGER        :: hx_interp_id,hy_interp_id,h0_interp_id
    INTEGER        :: turb_id
    INTEGER        :: kz_id, nz_id
    INTEGER        :: traceur_id, traceur_init_id
    INTEGER        :: hzex_id, hzey_id
    INTEGER        :: wz_id
    INTEGER        :: surf_id, fwet_id

!$AGRIF_DO_NOT_TREAT
    INTEGER :: agrif_indic
    INTEGER :: nb_connection_areas
    INTEGER, DIMENSION(:),ALLOCATABLE :: imin_connect
    INTEGER, DIMENSION(:),ALLOCATABLE :: imax_connect
    INTEGER, DIMENSION(:),ALLOCATABLE :: jmin_connect
    INTEGER, DIMENSION(:),ALLOCATABLE :: jmax_connect
    TYPE CONNECTION_AREAS
       REAL,DIMENSION(:,:,:), ALLOCATABLE :: TEMP
       REAL,DIMENSION(:,:,:), ALLOCATABLE :: SAL
       REAL,DIMENSION(:,:,:), ALLOCATABLE :: UZ
       REAL,DIMENSION(:,:,:), ALLOCATABLE :: VZ
       REAL,DIMENSION(:,:), ALLOCATABLE :: XE
    END TYPE CONNECTION_AREAS
    TYPE(CONNECTION_AREAS),DIMENSION(:),ALLOCATABLE :: CONNECTED_VALUES
!$AGRIF_END_DO_NOT_TREAT 

    REAL(kind=rsh),dimension(:,:,:), ALLOCATABLE :: nesting_tabtemp_2d
    REAL(kind=rsh),dimension(:,:,:), ALLOCATABLE :: nesting_tabtemp_3d

    REAL(kind=rsh),dimension(:,:), ALLOCATABLE :: update_at_Tpoints
    REAL(kind=rsh),dimension(:,:), ALLOCATABLE :: update_at_Upoints
    REAL(kind=rsh),dimension(:,:), ALLOCATABLE :: update_at_Vpoints

    INTEGER,DIMENSION(:,:,:), ALLOCATABLE :: i_connect
    LOGICAL,DIMENSION(:,:),ALLOCATABLE :: has_connection_areas
    LOGICAL,DIMENSION(:,:),ALLOCATABLE :: thearea_inthegrid

 END MODULE agrifcommonid
